## org.eclipse.datatools.modelbase.dbdefinition.impl
Class DebuggerDefinitionImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.DebuggerDefinitionImpl

All Implemented Interfaces:
  DebuggerDefinition

public class DebuggerDefinitionImpl
extends EObjectImpl
implements DebuggerDefinition

An implementation of the model object 'Debugger Definition'.

The following features are implemented:

- `Condition Supported`

See Also:
  Serialized Form

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`boolean` `isConditionSupported()`
`void` `setConditionSupported(boolean newConditionSupported)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### isConditionSupported

    public boolean isConditionSupported()

  Specified by:
    `isConditionSupported` in interface `DebuggerDefinition`
  Returns:
    the value of the 'Condition Supported' attribute.
  See Also:
    `DebuggerDefinition.setConditionSupported(boolean)`, `DatabaseDefinitionPackage.getDebuggerDefinition_ConditionSupported()`

### setConditionSupported

    public void setConditionSupported(boolean newConditionSupported)

  Specified by:
    `setConditionSupported` in interface `DebuggerDefinition`
  Parameters:
    `newConditionSupported` - the new value of the 'Condition Supported' attribute.
  See Also:
    `DebuggerDefinition.isConditionSupported()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.